version: '3.4'
services:
    portainer:
        container_name: portainer_manager
        image: portainer/portainer-ce:latest
        ports:
            - "9000:9000"
            - "8000:8000"
        volumes:
            - "~/portainer_data:/data"
            - "/var/run/docker.sock:/var/run/docker.sock"
        restart: always
    prometheus:
        container_name: prometheus_telemetry
        image: prom/prometheus:latest
        ports:
            - "9090:9090"
        volumes:
            - ./prometheus.yml:/etc/prometheus/prometheus.yml
    grafana:
        container_name: grafana_telemetry
        image: grafana/grafana:latest
        ports:
            - "3000:3000"
        depends_on:
            - prometheus
    node-exporter:
        image: prom/node-exporter:latest
        container_name: node_exporter_telemetry
        restart: unless-stopped
        expose:
        - 9100

    harmony060:
        image: "registry.gitlab.com/biontech/biometric-solutions/api060"
        container_name: "harmony060"
        ports:
            - "5060:5060"
        networks: 
            - local
    harmony040:
        image: "registry.gitlab.com/biontech/biometric-solutions/api040"
        container_name: "harmony040"
        ports:
            - "5040:5040"
        restart: always
        networks: 
            - local        
    harmonygdrive:
        image: "registry.gitlab.com/biontech/biometric-solutions/harmony-gdrive-upload" 
        container_name: "harmonygdrive"
        ports:
            - "7777:7777"
        restart: always
        networks:
            - local
        environment:
            040_path_id: "1l78TZSH29NNBsRlzrFYiq23pL9Y6HM7I"
            050_path_id: "1GZDmRPvdVOS7Xz07uAASIxTVHbjOQXv6"
            060_path_id: "10baXixEanjh6mupPPrdS31F-3YdL46PU"
            port: "7777"

    harmonyGateway:
        image: "registry.gitlab.com/biontech/biometric-solutions/harmony-gateway"
        container_name: "harmonyGateway"
        ports:
            - "5000:5000"
        restart: always
        networks: 
            - local
        environment: 
            harmony040_ip: "harmony040"
            harmony060_ip: "harmony060"
            harmony040_port: "5040"
            harmony060_port: "5060"
            modelImprovement_ip: "harmonygdrive"
            modelImprovement_port: "7777"
            precondition_analisys_ip: "harmonyPrecondition"
            precondition_analisys_port: "5090"
        depends_on:
            - harmony060
            - harmony040
            - harmonyPrecondition

    harmonyPrecondition:
        container_name: "harmony-precondition-analisys"
        image: "registry.gitlab.com/biontech/biometric-solutions/precondition-analisys-api:latest"
        ports:
            - "5090:5090"
        networks: 
            - local
        environment: 
            MOUTH_MAX_VALUE: "0.09"
            EYE_MAX_VALUE: "0.20"
            MIN_FACE_SIZE: "0.25"
            MAX_FACE_SIZE: "0.60"
            PITCH_MAX_VALUE: "4.104"
            PITCH_MIN_VALUE: "1.608"
            YAWL_MAX_VALUE: "14.0"
            ROLL_MAX_VALUE: "0.09"
        restart: always


networks: 
    local:
        driver: bridge
